/*
 * $Id: test-expr.c,v 1.2 2012/02/23 07:19:19 vrsieh Exp $
 */

#include <inttypes.h>

#define expr(t)	\
t \
expr_ ## t(t x, t y) \
{ \
	return x + y - x * y / x; \
}

expr(int8_t)
expr(uint8_t)
expr(int16_t)
expr(uint16_t)
expr(int32_t)
expr(uint32_t)
expr(int64_t)
expr(uint64_t)
